Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.mapper
Class ImplicitCollectionMapper

    java.lang.Object
      com.thoughtworks.xstream.mapper.MapperWrapper
          com.thoughtworks.xstream.mapper.ImplicitCollectionMapper

All Implemented Interfaces:
  Mapper

    public class ImplicitCollectionMapper

extends MapperWrapper

Nested Class Summary

Nested classes/interfaces inherited from interface com.thoughtworks.xstream.mapper.Mapper
`Mapper.ImplicitCollectionMapping, Mapper.Null`

Constructor Summary
`ImplicitCollectionMapper(ClassMapper wrapped)` Deprecated. As of 1.2, use `ImplicitCollectionMapper(Mapper)`
`ImplicitCollectionMapper(Mapper wrapped)`

Method Summary
`void` | `add(Class definedIn, String fieldName, Class itemType)`
`void` | `add(Class definedIn, String fieldName, String itemFieldName, Class itemType)`
`String` | `getFieldNameForItemTypeAndName(Class definedIn, Class itemType, String itemFieldName)` Get the name of the field that acts as the default collection for an object, or return null if there is none.
`Mapper.ImplicitCollectionMapping` | `getImplicitCollectionDefForFieldName(Class itemType, String fieldName)`
`Class` | `getItemTypeForItemFieldName(Class definedIn, String itemFieldName)`

Methods inherited from class com.thoughtworks.xstream.mapper.MapperWrapper
`aliasForAttribute, aliasForAttribute, aliasForSystemAttribute, attributeForAlias, attributeForAlias, attributeForClassDefiningField, attributeForEnumType, attributeForImplementationClass, attributeForReadResolveField, defaultImplementationOf, getConverterFromAttribute, getConverterFromAttribute, getConverterFromAttribute, getConverterFromItemType, getConverterFromItemType, getConverterFromItemType, getLocalConverter, isImmutableValueType, lookupMapperOfType, realClass, realMember, serializedClass, serializedMember, shouldSerializeMember`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplicitCollectionMapper

    public ImplicitCollectionMapper(Mapper wrapped)

### ImplicitCollectionMapper

    public ImplicitCollectionMapper(ClassMapper wrapped)

  Deprecated. As of 1.2, use `ImplicitCollectionMapper(Mapper)`

Method Detail

### getFieldNameForItemTypeAndName

    public String getFieldNameForItemTypeAndName(Class definedIn,
                                                 Class itemType,
                                                 String itemFieldName)

  Description copied from interface: `Mapper`
  Get the name of the field that acts as the default collection for an object, or return null if there is none.

  Specified by:
    `getFieldNameForItemTypeAndName` in interface `Mapper`
  Overrides:
    `getFieldNameForItemTypeAndName` in class `MapperWrapper`
  Parameters:
    `definedIn` - owning type
    `itemType` - item type
    `itemFieldName` - optional item element name

### getItemTypeForItemFieldName

    public Class getItemTypeForItemFieldName(Class definedIn,
                                             String itemFieldName)

  Specified by:
    `getItemTypeForItemFieldName` in interface `Mapper`
  Overrides:
    `getItemTypeForItemFieldName` in class `MapperWrapper`

### getImplicitCollectionDefForFieldName

    public Mapper.ImplicitCollectionMapping getImplicitCollectionDefForFieldName(Class itemType,
                                                                                 String fieldName)

  Specified by:
    `getImplicitCollectionDefForFieldName` in interface `Mapper`
  Overrides:
    `getImplicitCollectionDefForFieldName` in class `MapperWrapper`

### add

    public void add(Class definedIn,
                    String fieldName,
                    Class itemType)

### add

    public void add(Class definedIn,
                    String fieldName,
                    String itemFieldName,
                    Class itemType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.